<?php
############################################################
#Author:
#Martin Schwindl, mscatselect@ratin.de
#
#Icons: 
#Some icons by Yusuke Kamiyamane. All rights reserved. Licensed under a Creative Commons Attribution 3.0 License.
#http://p.yusukekamiyamane.com
#
#Chosen, a Select Box Enhancer for jQuery and Protoype
#by Patrick Filler for Harvest
#Available for use under the MIT License
#Copyright (c) 2011-2013 by Harvest
#Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
#The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
#THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#http://harvesthq.github.com/chosen/
#
#Usage:
#LocalSettings.php:
#
#//Start------------------------MsCatSelect
#$wgWarnNoCat = false;
#require_once("$IP/extensions/MsCatSelect/mscatselect.php");
#//$wgMainCategories = array("Category1","Category2");
#//End--------------------------MsCatSelect
#
#
############################################################

# Setup and Hooks for the MsCatSelect extension
if( !defined( 'MEDIAWIKI' ) ) {
        echo( "This file is an extension to the MediaWiki software and cannot be used standalone.\n" );
        die();
}

## Register extension setup hook and credits:
$wgExtensionCredits['parserhook'][] = array(
        'name'           => 'MsCatSelect',
        'url'  => 'http://www.mediawiki.org/wiki/Extension:MsCatSelect',
        'version'        => '5.1',
        'author' => '[mailto:mscatselect@ratin.de mscatselect@ratin.de] | [http://www.ratin.de/mscatselect.html Ratin]',
        'descriptionmsg' => 'mscs-desc',
);

$dir = dirname(__FILE__) . '/';
$wgExtensionMessagesFiles['mscatselect'] = $dir . 'mscatselect.i18n.php';

# Hook when starting editing:
$wgHooks['EditPage::showEditForm:initial'][] = array( 'fnSelectCategoryShowHook', false );
# Hook when saving page:
$wgHooks['EditPage::attemptSave'][] = array( 'fnSelectCategorySaveHook', false );
# Hook when Editor
$wgHooks['EditPage::showEditForm:initial'][] = 'MsCatSelectSetup';

require_once($dir.'mscatselect.body.php');


$wgResourceModules['ext.MsCatSelect'] = array(
        // JavaScript and CSS styles.
        'scripts' => array( 'js/chosen.jquery.min.js', 'js/mscatselect.js' ),
        'styles' => array( 'css/chosen.css', 'css/mscatselect.css' ),
        // When your module is loaded, these messages will be available through mw.msg()
        'messages' => array( 'mscs-desc', 'mscs-title', 'mscs-untercat', 'mscs-untercat-hinw', 'mscs-warnnocat', 'mscs-cats', 'mscs-add', 'mscs-go', 'mscs-created', 'mscs-sortkey' ),
        #'dependencies' => array( 'jquery.ui.progressbar' ),
        // subdir relative to "/extensions"
        'localBasePath' => dirname( __FILE__ ),
        'remoteExtPath' => 'MsCatSelect'
);



function MsCatSelectSetup() {
  global $wgOut, $wgJsMimeType, $wgMSCS_MainCategories, $wgMSCS_WarnNoCat;
  
  //load module
  $wgOut->addModules( 'ext.MsCatSelect' );
  $wgMSCS_WarnNoCat = $wgMSCS_WarnNoCat ? "true" : "false";

  $mscs_vars = array(
		'WarnNoCat' => $wgMSCS_WarnNoCat,
    	'MainCategories' => $wgMSCS_MainCategories,
	);
	
  $mscs_vars = json_encode($mscs_vars,true);
  $wgOut->addScript( "<script type=\"{$wgJsMimeType}\">var mscs_vars = $mscs_vars;</script>\n" );

  return true;
}


